# Generated by Django 4.2.7 on 2024-01-27 19:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CarreraSEDP',
            fields=[
                ('idCarreraSEDP', models.AutoField(primary_key=True, serialize=False)),
                ('nombreCarreraSEDP', models.CharField(max_length=100)),
                ('directorCarreraSEDP', models.CharField(max_length=100)),
                ('logoCarreraSEDP', models.ImageField(upload_to='carrera_logos')),
                ('perfilEgresoCarrera', models.TextField()),
                ('duracionCarrera', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='CursoSEDP',
            fields=[
                ('idCursoSEDP', models.AutoField(primary_key=True, serialize=False)),
                ('nivelCursoSEDP', models.CharField(max_length=50)),
                ('descripcionCursoSEDP', models.TextField()),
                ('aulaCursoSEDP', models.CharField(max_length=50)),
                ('modalidadCursoSEDP', models.CharField(max_length=50)),
                ('promedioCursoSEDP', models.DecimalField(decimal_places=2, max_digits=5)),
                ('carreraSEDP', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='MatriculasSEDP.carrerasedp')),
            ],
        ),
        migrations.CreateModel(
            name='AsignaturaSEDP',
            fields=[
                ('idAsignaturaSEDP', models.AutoField(primary_key=True, serialize=False)),
                ('nombreAsignaturaSEDP', models.CharField(max_length=100)),
                ('creditoAsignaturaSEDP', models.IntegerField()),
                ('fechaInicioAsignaturaSEDP', models.DateField()),
                ('fechaFinalizacionAsignaturaSEDP', models.DateField()),
                ('profesorAsignaturaSEDP', models.CharField(max_length=100)),
                ('silaboAsignaturaSEDP', models.FileField(upload_to='silabos')),
                ('horarioAsignaturaSEDP', models.CharField(max_length=100)),
                ('horasTotalAsignaturaSEDP', models.IntegerField()),
                ('cursoSEDP', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='MatriculasSEDP.cursosedp')),
            ],
        ),
    ]
